%global momorel 1
%global pyver 2.6
%global srcver 1.18

Summary: Little cms color management engine
Name: lcms
Version: 1.18a
Release: %{momorel}m%{?dist}
Group:  Development/Libraries
License: MIT/X
URL: http://www.littlecms.com/
Source0: http://www.littlecms.com/%{name}-%{version}.tar.gz
NoSource: 0
Requires: libjpeg libtiff
BuildRequires: libjpeg-devel >= 6b-30m libtiff-devel
BuildPrereq: gcc-c++ >= 3.4.1-1m
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# /etc/rpm/specopt/lcms.specopt and edit it.
%{?!python_binding:         %global python_binding         1}
%if %{python_binding}
BuildRequires: python-devel >= %{pyver} swig
%endif

%description
Little cms intends to be a small-footprint, speed optimized color 
management engine in open source form.

%package devel
Summary: Little cms library development files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The lcms-devel package contains the header files and documentation
needed to develop applications with lcms.

%if %{python_binding}
%package python
Summary: python binding to  Little cms library
Group: Development/Libraries
Requires: %{name} = %{version}

%description python
python binding to lcms(littel cms)
%endif

%prep

#%%setup -q
%setup -q -n %{name}-%{srcver}

%build
%if %{python_binding}
export PYTHON_BINDING="--with-python"
%endif
%configure $PYTHON_BINDING
(cd python; ./swig_lcms)
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install transform='s,x,x,'
chmod 0644 AUTHORS COPYING ChangeLog NEWS README.1ST doc/TUTORIAL.TXT doc/LCMSAPI.TXT

find %{buildroot} -name "*.la" -delete

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README.1ST
%{_libdir}/*.so.*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc doc/* 
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%if %{python_binding}
%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/*
%endif

%changelog
* Sat May  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.18a-1m)
- [SECURITY] CVE-2009-0793
- update to 1.18a

* Tue Mar 24 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.18-2m)
- fix %%files section of python package for lib64

* Tue Mar 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.18-1m)
- update to 1.18

* Sat Mar 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.18-0.1.1m)
- [SECURITY] CVE-2009-0581 CVE-2009-0723 CVE-2009-0733
- update to 1.18beta2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.17-4m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.17-3m)
- rebuild against python-2.6.1-2m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.17-2m)
- rebuild against gcc43

* Thu Mar 13 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.17-1m)
- [SECURITY] CVE-2008-5317
- update to 1.17

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.16-3m)
- %%NoSource -> NoSource

* Sun Jun 17 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.16-2m)
- delete lib64 patch 

* Sat Jun 16 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.16-1m)
- [SECURITY] CVE-2008-5316
- update to 1.16

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.15-4m)
- delete libtool library

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15-3m)
- rebuild against python-2.5

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.15-2m)
- rebuild against swig

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15-1m)
- [SECURITY] CVE-2007-2741
- rebuild against python-2.4.2

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.14-2m)
- rebuild against python-2.4.2

* Sun Mar 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.14-1m)
- up to 1.14

* Fri Feb  4 2005 Toru Hoshina <t@momonga-linux.org>
- (1.12-6m)
- applied ad hoc patch, we need to check "gcc -print-search-dirs" stuff.

* Sun Jan 24 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.12-5m)
- enable x86_64. libtool's bug?

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.12-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-3m)
- rebuild against python2.3

* Wed Jul 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-2m)
- add transform='s,x,x,'

* Tue Jan 20 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.12-1m)
- add BuildRequires: swig

* Thu Jan 15 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.12-1m)
- first import to Momonga
